> For the complete documentation index, see [llms.txt](https://docs.sypht.com/sypht/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sypht.com/sypht/api-docs/authentication.md).

# Authentication

### OAuth2

We use an Oauth2 authentication flow. Users can create a `client_id` and `client_secret` upon signing up with Sypht. Use these to generate your reusable bearer token, which must be included in the Authorization header of each request. You can store and reuse these tokens for up to an hour.

To get a token you need to POST to the tokenUrl with the `client_id` and `grant_type` in the request body and colon separated, base64 encoded `client_id` and `client_secret` in a basic Authorization header. For example `Basic {Base64(client_id:client_secret)}`

| Security Scheme Type         | OAuth2                                                                                                                                                                                                                                                                                                                                                                                                          |
| ---------------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| clientCredentials OAuth Flow | <p><strong>Token URL:</strong> <https://auth.sypht.com/oauth2/token><strong>Scopes:</strong></p><ul><li><p><code>fileupload:all</code> - </p><p>Provides access to Fileupload Service</p></li><li><p><code>result:all</code> - </p><p>Provides access to Result Service</p></li><li><p><code>validate:annotation</code> - </p><p>Upload annotation data for your documents for training purposes.</p></li></ul> |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.sypht.com/sypht/api-docs/authentication.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
